summaryrefslogtreecommitdiff
path: root/build-support
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-09-12 14:28:39 +0200
committerErich Eckner <git@eckner.net>2017-09-12 14:28:39 +0200
commitda41ec5ec702c8ee7fe0909cd25547cc46b1d8ab (patch)
tree50c529bc6b78c6de74d979e6b8cd5ec3cda2c0b3 /build-support
parent86f6187797a1070075875a918d2af045ffa6e12a (diff)
downloadpackages-da41ec5ec702c8ee7fe0909cd25547cc46b1d8ab.tar.xz
hopefully resolve deepin-{dock,qt5integration,file-manager} dependency cycle by providing a less restrictive version of dtkwidget and a dummy of deepin-tool-kit
Diffstat (limited to 'build-support')
-rw-r--r--build-support/deepin-tool-kit-dummy/PKGBUILD28
-rw-r--r--build-support/dtkwidget-less-restrictive/PKGBUILD36
2 files changed, 64 insertions, 0 deletions
diff --git a/build-support/deepin-tool-kit-dummy/PKGBUILD b/build-support/deepin-tool-kit-dummy/PKGBUILD
new file mode 100644
index 0000000..892f1da
--- /dev/null
+++ b/build-support/deepin-tool-kit-dummy/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Erich Eckner <arch at eckner dot net>
+
+pkgname=deepin-tool-kit-dummy
+pkgver=0.0
+pkgrel=1
+pkgdesc='empty dummy package pretending to provide deepin-tool-kit'
+url='https://archlinux32.org/'
+license=('GPL')
+arch=('any')
+source=()
+sha512sums=()
+conflicts=(
+ 'deepin-tool-kit'
+)
+provides=(
+ 'deepin-tool-kit'
+)
+replaces=(
+ 'deepin-tool-kit'
+)
+
+package() {
+ install -d "${pkgdir}/etc"
+ printf '%s\n' \
+ 'If you see this on your (production) system, you did something wrong.' \
+ > \
+ "${pkgdir}/etc/deepin-tool-kit.THIS-SHOULD-NEVER-BE-ON-A-PRODUCTION-SYSTEM"
+}
diff --git a/build-support/dtkwidget-less-restrictive/PKGBUILD b/build-support/dtkwidget-less-restrictive/PKGBUILD
new file mode 100644
index 0000000..01beb10
--- /dev/null
+++ b/build-support/dtkwidget-less-restrictive/PKGBUILD
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Josip Ponjavic <josipponjavic at gmail dot com>
+# Contributor: Xu Fasheng <fasheng.xu[AT]gmail.com>
+
+pkgname=dtkwidget-less-restrictive
+pkgver=2.0.0
+pkgrel=2
+pkgdesc='Deepin graphical user interface library - which does not replace/conflict deepin-tool-kit (solely for the build system!)'
+arch=('i686' 'x86_64')
+url="https://github.com/linuxdeepin/dtkwidget"
+license=('GPL3')
+depends=('dtkcore' 'gsettings-qt' 'qt5-multimedia' 'qt5-x11extras' 'startup-notification')
+makedepends=('qt5-tools')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/dtkwidget/archive/$pkgver.tar.gz")
+sha512sums=('47f1bc8d13e3773e4c9584c7e9092435275a40cf01a20ecf3517f21856a89bdcd3903da72b9e4e36fda01f9a9e97623950cfcd8a77912d741ab2d8d7b43fb091')
+conflicts=(
+ 'dtkwidget'
+)
+provides=(
+ 'dtkwidget'
+)
+replaces=(
+ 'dtkwidget'
+)
+
+build() {
+ cd dtkwidget-$pkgver
+ qmake-qt5 PREFIX=/usr
+ make
+}
+
+package() {
+ cd dtkwidget-$pkgver
+ make INSTALL_ROOT="$pkgdir" install
+}